package hk.quantr.hex.editor;

/**
 *
 * @author Peter <peter@quantr.hk>
 */
public class QuantrHexEditor extends javax.swing.JPanel {

    /**
     * Creates new form QuantrHexEditor
     */
    public QuantrHexEditor() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The content of this method is always regenerated by the Form
     * Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        jPanel1 = new javax.swing.JPanel();
        jButton1 = new javax.swing.JButton();
        hexRadioButton = new javax.swing.JRadioButton();
        decRadioButton = new javax.swing.JRadioButton();
        octRadioButton = new javax.swing.JRadioButton();
        binRadioButton = new javax.swing.JRadioButton();
        jScrollPane1 = new javax.swing.JScrollPane();
        hexTable = new javax.swing.JTable();

        setLayout(new java.awt.BorderLayout());

        jButton1.setText("jButton1");
        jPanel1.add(jButton1);

        buttonGroup1.add(hexRadioButton);
        hexRadioButton.setSelected(true);
        hexRadioButton.setText("Hex");
        hexRadioButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                hexRadioButtonActionPerformed(evt);
            }
        });
        jPanel1.add(hexRadioButton);

        buttonGroup1.add(decRadioButton);
        decRadioButton.setText("Dec");
        decRadioButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                decRadioButtonActionPerformed(evt);
            }
        });
        jPanel1.add(decRadioButton);

        buttonGroup1.add(octRadioButton);
        octRadioButton.setText("Oct");
        octRadioButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                octRadioButtonActionPerformed(evt);
            }
        });
        jPanel1.add(octRadioButton);

        buttonGroup1.add(binRadioButton);
        binRadioButton.setText("Bin");
        binRadioButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                binRadioButtonActionPerformed(evt);
            }
        });
        jPanel1.add(binRadioButton);

        add(jPanel1, java.awt.BorderLayout.NORTH);

        hexTable.setModel(new HexTableModel());
        jScrollPane1.setViewportView(hexTable);

        add(jScrollPane1, java.awt.BorderLayout.CENTER);
    }// </editor-fold>//GEN-END:initComponents

    private void hexRadioButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_hexRadioButtonActionPerformed
        HexTableModel model = (HexTableModel) hexTable.getModel();
        model.type = "hex";
        model.fireTableDataChanged();
    }//GEN-LAST:event_hexRadioButtonActionPerformed

    private void decRadioButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_decRadioButtonActionPerformed
        HexTableModel model = (HexTableModel) hexTable.getModel();
        model.type = "dec";
        model.fireTableDataChanged();
    }//GEN-LAST:event_decRadioButtonActionPerformed

    private void octRadioButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_octRadioButtonActionPerformed
        HexTableModel model = (HexTableModel) hexTable.getModel();
        model.type = "oct";
        model.fireTableDataChanged();
    }//GEN-LAST:event_octRadioButtonActionPerformed

    private void binRadioButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_binRadioButtonActionPerformed
        HexTableModel model = (HexTableModel) hexTable.getModel();
        model.type = "bin";
        model.fireTableDataChanged();
    }//GEN-LAST:event_binRadioButtonActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JRadioButton binRadioButton;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JRadioButton decRadioButton;
    private javax.swing.JRadioButton hexRadioButton;
    private javax.swing.JTable hexTable;
    private javax.swing.JButton jButton1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JRadioButton octRadioButton;
    // End of variables declaration//GEN-END:variables

    void setData(byte[] b) {
        HexTableModel model = (HexTableModel) hexTable.getModel();
        model.bytes = b;
    }
}
